# -*- coding: utf-8 -*-
from setuphelpers import *

bin_contains = "Git-"
silent_args = '/LOADINF="git.inf" /VERYSILENT /CLOSEAPPLICATIONS /NORESTART'
app_uninstallkey = "Git_is1"


def install():
    bin_name = glob.glob("*%s*.exe" % bin_contains)[0]
    install_exe_if_needed(
        bin_name,
        silentflags=silent_args,
        key=app_uninstallkey,
        min_version=control.get_software_version(),
        timeout=600,
    )

    # Disable credential provider web detection
    run('"%s" config --global credential.provider generic' % makepath(installed_softwares(app_uninstallkey)[0]["install_location"], "bin", "git.exe"))
